Debian Bug report logs - #599121
linux-2.6: [m68k] nfeth driver vanished? no network connectivity!

version graph

Package: src:linux-2.6; Maintainer for src:linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Mon, 4 Oct 2010 20:48:05 UTC

Severity: wishlist

Tags: experimental, pending, sid

Found in versions linux-2.6/2.6.36~rc6-1~experimental.1, linux-2.6/2.6.32-24

Fixed in version linux-2.6/2.6.38-5

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tg@mirbsd.de, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599121; Package src:linux-2.6. (Mon, 04 Oct 2010 20:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to tg@mirbsd.de, Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Oct 2010 20:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: [m68k] nfeth driver vanished? no network connectivity!
Date: Mon, 04 Oct 2010 20:45:15 +0000
Source: linux-2.6
Version: 2.6.32-24
Severity: important
Tags: experimental sid

After compiling an m68k kernel for ARAnyM using the atari platform,
requiring the fix from Debian #598893 as well as a patch I've sub-
mitted upstream¹ in order to allow inclusion into the Debian kernel,
and getting it to boot into multiuser, I find myself with a system
that doesn't support the nfeth (nat-feature) ethernet endpoint.

Further grepping in sid and experimental reveals:

tg@frozenfish:~/linux-2.6-2.6.32 $ fgrep -r NFETH .
../debian/config/m68k/config.atari:CONFIG_NFETH=y
tg@frozenfish:~/linux-2.6-2.6.36~rc6 $ fgrep -r NFETH .
../debian/config/m68k/config.atari:CONFIG_NFETH=y

So this must have been lost somewhere in the progress; I believe it
was available in linux-image-2.6.29-2-atari_2.6.29-5_m68k and can
say for sure 2.6.26-1-atari (Debian 2.6.26-13) had it.

With having *either* TLS *or* (virtual) networking but not both,
and having to rely on VMs to develop, this unfortunately brings
my attempts at helping reviving m68k to just another stop.

So, please bring back these patches. Thanks in advance!


â‘  http://thread.gmane.org/gmane.linux.ports.m68k/1580/focus=1581
  I'll reportbug this separately once the maintainer accepted it.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: m68k

Kernel: Linux 2.6.32-5-atari
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/mksh-static




Bug Marked as found in versions linux-2.6/2.6.36~rc6-1~experimental.1. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Mon, 04 Oct 2010 20:57:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 04 Oct 2010 23:39:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 16:27:06 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 08 May 2011 12:39:05 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Sun, 08 May 2011 12:39:05 GMT) Full text and rfc822 format available.

Message #16 received at 599121-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 599121-close@bugs.debian.org
Subject: Bug#599121: fixed in linux-2.6 2.6.38-5
Date: Sun, 08 May 2011 12:37:37 +0000
Source: linux-2.6
Source-Version: 2.6.38-5

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.38-5.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.38-5.diff.gz
linux-2.6_2.6.38-5.dsc
  to main/l/linux-2.6/linux-2.6_2.6.38-5.dsc
linux-doc-2.6.38_2.6.38-5_all.deb
  to main/l/linux-2.6/linux-doc-2.6.38_2.6.38-5_all.deb
linux-manual-2.6.38_2.6.38-5_all.deb
  to main/l/linux-2.6/linux-manual-2.6.38_2.6.38-5_all.deb
linux-patch-debian-2.6.38_2.6.38-5_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.38_2.6.38-5_all.deb
linux-source-2.6.38_2.6.38-5_all.deb
  to main/l/linux-2.6/linux-source-2.6.38_2.6.38-5_all.deb
linux-support-2.6.38-2_2.6.38-5_all.deb
  to main/l/linux-2.6/linux-support-2.6.38-2_2.6.38-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599121@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 07 May 2011 21:24:55 +0100
Source: linux-2.6
Binary: linux-tools-2.6.38 linux-source-2.6.38 linux-doc-2.6.38 linux-manual-2.6.38 linux-patch-debian-2.6.38 linux-support-2.6.38-2 linux-libc-dev linux-headers-2.6.38-2-all linux-headers-2.6.38-2-all-alpha linux-headers-2.6.38-2-common linux-image-2.6.38-2-alpha-generic linux-headers-2.6.38-2-alpha-generic linux-image-2.6.38-2-alpha-smp linux-headers-2.6.38-2-alpha-smp linux-image-2.6.38-2-alpha-legacy linux-headers-2.6.38-2-alpha-legacy linux-headers-2.6.38-2-all-amd64 linux-image-2.6.38-2-amd64 linux-headers-2.6.38-2-amd64 linux-image-2.6.38-2-amd64-dbg linux-headers-2.6.38-2-all-armel linux-image-2.6.38-2-iop32x linux-headers-2.6.38-2-iop32x linux-image-2.6.38-2-ixp4xx linux-headers-2.6.38-2-ixp4xx linux-image-2.6.38-2-kirkwood linux-headers-2.6.38-2-kirkwood linux-image-2.6.38-2-orion5x linux-headers-2.6.38-2-orion5x linux-image-2.6.38-2-versatile linux-headers-2.6.38-2-versatile linux-headers-2.6.38-2a-all linux-headers-2.6.38-2a-all-hppa
 linux-headers-2.6.38-2a-common linux-image-2.6.38-2a-parisc linux-headers-2.6.38-2a-parisc linux-image-2.6.38-2a-parisc-smp linux-headers-2.6.38-2a-parisc-smp linux-image-2.6.38-2a-parisc64 linux-headers-2.6.38-2a-parisc64 linux-image-2.6.38-2a-parisc64-smp linux-headers-2.6.38-2a-parisc64-smp linux-headers-2.6.38-2-all-i386 linux-image-2.6.38-2-486 linux-headers-2.6.38-2-486 linux-image-2.6.38-2-686 linux-headers-2.6.38-2-686 linux-image-2.6.38-2-686-bigmem linux-headers-2.6.38-2-686-bigmem linux-image-2.6.38-2-686-bigmem-dbg linux-headers-2.6.38-2-all-ia64 linux-image-2.6.38-2-itanium linux-headers-2.6.38-2-itanium linux-image-2.6.38-2-mckinley linux-headers-2.6.38-2-mckinley linux-headers-2.6.38-2-all-m68k linux-image-2.6.38-2-amiga linux-headers-2.6.38-2-amiga linux-image-2.6.38-2-atari linux-headers-2.6.38-2-atari linux-image-2.6.38-2-bvme6000 linux-headers-2.6.38-2-bvme6000 linux-image-2.6.38-2-mac linux-headers-2.6.38-2-mac linux-image-2.6.38-2-mvme147
 linux-headers-2.6.38-2-mvme147 linux-image-2.6.38-2-mvme16x linux-headers-2.6.38-2-mvme16x linux-headers-2.6.38-2-all-mips linux-image-2.6.38-2-r4k-ip22 linux-headers-2.6.38-2-r4k-ip22 linux-image-2.6.38-2-r5k-ip32 linux-headers-2.6.38-2-r5k-ip32 linux-image-2.6.38-2-sb1-bcm91250a linux-headers-2.6.38-2-sb1-bcm91250a linux-image-2.6.38-2-sb1a-bcm91480b linux-headers-2.6.38-2-sb1a-bcm91480b linux-image-2.6.38-2-4kc-malta linux-headers-2.6.38-2-4kc-malta linux-image-2.6.38-2-5kc-malta linux-headers-2.6.38-2-5kc-malta linux-image-2.6.38-2-octeon linux-headers-2.6.38-2-octeon linux-headers-2.6.38-2-all-mipsel linux-image-2.6.38-2-r5k-cobalt linux-headers-2.6.38-2-r5k-cobalt linux-image-2.6.38-2-loongson-2f linux-headers-2.6.38-2-loongson-2f linux-headers-2.6.38-2-all-powerpc linux-image-2.6.38-2-powerpc linux-headers-2.6.38-2-powerpc linux-image-2.6.38-2-powerpc-smp linux-headers-2.6.38-2-powerpc-smp linux-image-2.6.38-2-powerpc64 linux-headers-2.6.38-2-powerpc64
 linux-headers-2.6.38-2-all-ppc64 linux-headers-2.6.38-2-all-s390 linux-image-2.6.38-2-s390x linux-headers-2.6.38-2-s390x linux-image-2.6.38-2-s390x-tape linux-headers-2.6.38-2-all-sh4 linux-image-2.6.38-2-sh7751r linux-headers-2.6.38-2-sh7751r linux-image-2.6.38-2-sh7785lcr linux-headers-2.6.38-2-sh7785lcr linux-headers-2.6.38-2-all-sparc linux-image-2.6.38-2-sparc64 linux-headers-2.6.38-2-sparc64 linux-image-2.6.38-2-sparc64-smp linux-headers-2.6.38-2-sparc64-smp
 linux-headers-2.6.38-2-all-sparc64
Architecture: all i386 source
Version: 2.6.38-5
Distribution: unstable
Urgency: medium
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 599121 623808 624505
Description: 
 linux-doc-2.6.38 - Linux kernel specific documentation for version 2.6.38
 linux-headers-2.6.38-2-486 - Header files for Linux 2.6.38-2-486
 linux-headers-2.6.38-2-4kc-malta - Header files for Linux 2.6.38-2-4kc-malta
 linux-headers-2.6.38-2-5kc-malta - Header files for Linux 2.6.38-2-5kc-malta
 linux-headers-2.6.38-2-686-bigmem - Header files for Linux 2.6.38-2-686-bigmem
 linux-headers-2.6.38-2-686 - Header files for Linux 2.6.38-2-686
 linux-headers-2.6.38-2a-all - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2a-all-hppa - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2a-common - Common header files for Linux 2.6.38-2a
 linux-headers-2.6.38-2-all - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-alpha - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-amd64 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-armel - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-i386 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-ia64 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-m68k - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-mips - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-mipsel - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-powerpc - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-ppc64 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-s390 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-sh4 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-sparc64 - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-all-sparc - All header files for Linux 2.6.38 (meta-package)
 linux-headers-2.6.38-2-alpha-generic - Header files for Linux 2.6.38-2-alpha-generic
 linux-headers-2.6.38-2-alpha-legacy - Header files for Linux 2.6.38-2-alpha-legacy
 linux-headers-2.6.38-2-alpha-smp - Header files for Linux 2.6.38-2-alpha-smp
 linux-headers-2.6.38-2-amd64 - Header files for Linux 2.6.38-2-amd64
 linux-headers-2.6.38-2-amiga - Header files for Linux 2.6.38-2-amiga
 linux-headers-2.6.38-2a-parisc64 - Header files for Linux 2.6.38-2a-parisc64
 linux-headers-2.6.38-2a-parisc64-smp - Header files for Linux 2.6.38-2a-parisc64-smp
 linux-headers-2.6.38-2a-parisc - Header files for Linux 2.6.38-2a-parisc
 linux-headers-2.6.38-2a-parisc-smp - Header files for Linux 2.6.38-2a-parisc-smp
 linux-headers-2.6.38-2-atari - Header files for Linux 2.6.38-2-atari
 linux-headers-2.6.38-2-bvme6000 - Header files for Linux 2.6.38-2-bvme6000
 linux-headers-2.6.38-2-common - Common header files for Linux 2.6.38-2
 linux-headers-2.6.38-2-iop32x - Header files for Linux 2.6.38-2-iop32x
 linux-headers-2.6.38-2-itanium - Header files for Linux 2.6.38-2-itanium
 linux-headers-2.6.38-2-ixp4xx - Header files for Linux 2.6.38-2-ixp4xx
 linux-headers-2.6.38-2-kirkwood - Header files for Linux 2.6.38-2-kirkwood
 linux-headers-2.6.38-2-loongson-2f - Header files for Linux 2.6.38-2-loongson-2f
 linux-headers-2.6.38-2-mac - Header files for Linux 2.6.38-2-mac
 linux-headers-2.6.38-2-mckinley - Header files for Linux 2.6.38-2-mckinley
 linux-headers-2.6.38-2-mvme147 - Header files for Linux 2.6.38-2-mvme147
 linux-headers-2.6.38-2-mvme16x - Header files for Linux 2.6.38-2-mvme16x
 linux-headers-2.6.38-2-octeon - Header files for Linux 2.6.38-2-octeon
 linux-headers-2.6.38-2-orion5x - Header files for Linux 2.6.38-2-orion5x
 linux-headers-2.6.38-2-powerpc64 - Header files for Linux 2.6.38-2-powerpc64
 linux-headers-2.6.38-2-powerpc - Header files for Linux 2.6.38-2-powerpc
 linux-headers-2.6.38-2-powerpc-smp - Header files for Linux 2.6.38-2-powerpc-smp
 linux-headers-2.6.38-2-r4k-ip22 - Header files for Linux 2.6.38-2-r4k-ip22
 linux-headers-2.6.38-2-r5k-cobalt - Header files for Linux 2.6.38-2-r5k-cobalt
 linux-headers-2.6.38-2-r5k-ip32 - Header files for Linux 2.6.38-2-r5k-ip32
 linux-headers-2.6.38-2-s390x - Header files for Linux 2.6.38-2-s390x
 linux-headers-2.6.38-2-sb1a-bcm91480b - Header files for Linux 2.6.38-2-sb1a-bcm91480b
 linux-headers-2.6.38-2-sb1-bcm91250a - Header files for Linux 2.6.38-2-sb1-bcm91250a
 linux-headers-2.6.38-2-sh7751r - Header files for Linux 2.6.38-2-sh7751r
 linux-headers-2.6.38-2-sh7785lcr - Header files for Linux 2.6.38-2-sh7785lcr
 linux-headers-2.6.38-2-sparc64 - Header files for Linux 2.6.38-2-sparc64
 linux-headers-2.6.38-2-sparc64-smp - Header files for Linux 2.6.38-2-sparc64-smp
 linux-headers-2.6.38-2-versatile - Header files for Linux 2.6.38-2-versatile
 linux-image-2.6.38-2-486 - Linux 2.6.38 for old PCs
 linux-image-2.6.38-2-4kc-malta - Linux 2.6.38 for MIPS Malta
 linux-image-2.6.38-2-5kc-malta - Linux 2.6.38 for MIPS Malta (64-bit)
 linux-image-2.6.38-2-686-bigmem-dbg - Debugging infos for Linux 2.6.38-2-686-bigmem
 linux-image-2.6.38-2-686-bigmem - Linux 2.6.38 for PCs with 4GB+ RAM
 linux-image-2.6.38-2-686 - Linux 2.6.38 for modern PCs
 linux-image-2.6.38-2-alpha-generic - Linux 2.6.38 for Alpha
 linux-image-2.6.38-2-alpha-legacy - Linux 2.6.38 for Alpha Legacy
 linux-image-2.6.38-2-alpha-smp - Linux 2.6.38 for Alpha SMP
 linux-image-2.6.38-2-amd64-dbg - Debugging infos for Linux 2.6.38-2-amd64
 linux-image-2.6.38-2-amd64 - Linux 2.6.38 for 64-bit PCs
 linux-image-2.6.38-2-amiga - Linux 2.6.38 for Amiga
 linux-image-2.6.38-2a-parisc64 - Linux 2.6.38 for 64-bit PA-RISC
 linux-image-2.6.38-2a-parisc64-smp - Linux 2.6.38 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.38-2a-parisc - Linux 2.6.38 for 32-bit PA-RISC
 linux-image-2.6.38-2a-parisc-smp - Linux 2.6.38 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.38-2-atari - Linux 2.6.38 for Atari
 linux-image-2.6.38-2-bvme6000 - Linux 2.6.38 for BVM BVME4000 and BVME6000
 linux-image-2.6.38-2-iop32x - Linux 2.6.38 for IOP32x
 linux-image-2.6.38-2-itanium - Linux 2.6.38 for Itanium
 linux-image-2.6.38-2-ixp4xx - Linux 2.6.38 for IXP4xx
 linux-image-2.6.38-2-kirkwood - Linux 2.6.38 for Marvell Kirkwood
 linux-image-2.6.38-2-loongson-2f - Linux 2.6.38 for Loongson 2F
 linux-image-2.6.38-2-mac - Linux 2.6.38 for Macintosh
 linux-image-2.6.38-2-mckinley - Linux 2.6.38 for Itanium II
 linux-image-2.6.38-2-mvme147 - Linux 2.6.38 for Motorola MVME147
 linux-image-2.6.38-2-mvme16x - Linux 2.6.38 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.38-2-octeon - Linux 2.6.38 for Octeon
 linux-image-2.6.38-2-orion5x - Linux 2.6.38 for Marvell Orion
 linux-image-2.6.38-2-powerpc64 - Linux 2.6.38 for 64-bit PowerPC
 linux-image-2.6.38-2-powerpc - Linux 2.6.38 for uniprocessor 32-bit PowerPC
 linux-image-2.6.38-2-powerpc-smp - Linux 2.6.38 for multiprocessor 32-bit PowerPC
 linux-image-2.6.38-2-r4k-ip22 - Linux 2.6.38 for SGI IP22
 linux-image-2.6.38-2-r5k-cobalt - Linux 2.6.38 for Cobalt
 linux-image-2.6.38-2-r5k-ip32 - Linux 2.6.38 for SGI IP32
 linux-image-2.6.38-2-s390x - Linux 2.6.38 for IBM zSeries
 linux-image-2.6.38-2-s390x-tape - Linux 2.6.38 for IBM zSeries, IPL from tape
 linux-image-2.6.38-2-sb1a-bcm91480b - Linux 2.6.38 for BCM91480B
 linux-image-2.6.38-2-sb1-bcm91250a - Linux 2.6.38 for BCM91250A
 linux-image-2.6.38-2-sh7751r - Linux 2.6.38 for sh7751r
 linux-image-2.6.38-2-sh7785lcr - Linux 2.6.38 for sh7785lcr
 linux-image-2.6.38-2-sparc64 - Linux 2.6.38 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.38-2-sparc64-smp - Linux 2.6.38 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.38-2-versatile - Linux 2.6.38 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.38 - Linux kernel API manual pages for version 2.6.38
 linux-patch-debian-2.6.38 - Debian patches to version 2.6.38 of the Linux kernel
 linux-source-2.6.38 - Linux kernel source for version 2.6.38 with Debian patches
 linux-support-2.6.38-2 - Support files for Linux 2.6.38
 linux-tools-2.6.38 - Performance analysis tools for Linux 2.6.38
Changes: 
 linux-2.6 (2.6.38-5) unstable; urgency=medium
 .
   [ Thorsten Glaser ]
   * [m68k] atari: Enable and compile in generic RTC
   * [m68k] Backport the most urgent fixes from 2.6.39
     - Add helper functions to handle kernel faults, traps and
       exceptions better (used by the other patches below)
     - Add improved support for running under the ARAnyM emulator
       (its native features interface) and emulated hardware
       + block access (similar to virtio-block)
       + console access (redirection to stdout)
       + network access (Ethernet)  (Closes: #599121)
   * [m68k] Add patch from queue fixing atarifb console output on
     machines with a lot of FastRAM by reserving some ST-RAM early
   * [m68k] Add patch from mm mailing list to fix SLUB breakage
 .
   [ Aurelien Jarno ]
   * [mips/octeon] Disable CONFIG_HOTPLUG_CPU.
 .
   [ Ben Hutchings ]
   * rt2800pci, rt2800usb: Enable experimental support for more recent
     chips (Closes: #623808)
   * [x86] staging: Enable EASYCAP as module (Closes: #624505)
   * Add stable 2.6.38.5, including:
     - p54: Initialize extra_len in p54_tx_80211
     - nfsd4: Fix filp leak (regression introduced in 2.6.38.3)
     - radeon: PLL tweaks for R7xx
     - nouveau: Fix notifier memory corruption bug
     - radeon: Fix bad shift in atom iio table parser
     - [x86] i915: Sanitize the output registers after resume
     - [x86] ideapad: Read brightness setting on brightness key notify
     - ath9k_hw: Partially revert "fix dma descriptor rx error bit parsing"
     - [s390] pfault: fix token handling
     - ACPI/PM: Avoid infinite recurrence while registering power resources
     - [hppa] slub: Disable use with DISCONTIGMEM && !NUMA
     - vfs: avoid large kmalloc()s for the fdtable
     - agp: Fix arbitrary kernel memory writes (CVE-2011-1745)
     - agp: Fix OOM and buffer overflow (CVE-2011-1746)
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.38.5
   * [hppa] Bump ABI to 2a
   * mpt2sas: Prevent heap overflows and unchecked reads
     (CVE-2011-1494, CVE-2011-1495)
   * [armel] Prevent heap corruption in OABI semtimedop
   * can: Add missing socket check in can/bcm release (CVE-2011-1598)
   * ldm: Disable broken support for VBLK fragments (CVE-2011-1017)
Checksums-Sha1: 
 1f2357c5483277b0d4f44a4ba9743fc055308c7c 5842 linux-2.6_2.6.38-5.dsc
 0589624a8efc562ac76d9125879152554fd2f2a3 4516477 linux-2.6_2.6.38-5.diff.gz
 d9261507265c8f9d8f30e171b159fc2ee48fd4ce 510522 linux-patch-debian-2.6.38_2.6.38-5_all.deb
 8cc0ca8a89ab1e132c52206227b1241a587339f6 170632 linux-support-2.6.38-2_2.6.38-5_all.deb
 0703886f9bbc20b7d28797cac9b39f698a8ab521 73946898 linux-source-2.6.38_2.6.38-5_all.deb
 af38753068bf0a32076809efe0cd63f423a775ed 6732968 linux-doc-2.6.38_2.6.38-5_all.deb
 936323f977fce31ec91ce85af90ea53628921317 3078384 linux-manual-2.6.38_2.6.38-5_all.deb
Checksums-Sha256: 
 6203962afb98154ea2018ad990e142fa63daf2103cbdacdfc1222dc0de00ea30 5842 linux-2.6_2.6.38-5.dsc
 0cdf1e0fe33ad536e7972e216bba61efccfb7ec47718a1308b944bb691b6376c 4516477 linux-2.6_2.6.38-5.diff.gz
 455e89f9b35065974f7a0c8b23f1ce0a7a268dc574127af8a6597f9dec54bc37 510522 linux-patch-debian-2.6.38_2.6.38-5_all.deb
 fd36144bdce8ea76e200bfb68c621212d55f899e2f60eb508365a18bc84ea5e2 170632 linux-support-2.6.38-2_2.6.38-5_all.deb
 9db8ecd5eac6f237993e1973c18eaf5f090d34ed651b71ade5267cfaf70b15cb 73946898 linux-source-2.6.38_2.6.38-5_all.deb
 d00ec8c8af2f1076d1cbb9db7108f6ddd62f9e71a75459e1dcaba30f1486689b 6732968 linux-doc-2.6.38_2.6.38-5_all.deb
 511bfc05c996c75ae9c718e583ff359c283656e2dbbe572d89ba7650e4f31d62 3078384 linux-manual-2.6.38_2.6.38-5_all.deb
Files: 
 50e6669142955af45bce0bb9ed3c1972 5842 kernel optional linux-2.6_2.6.38-5.dsc
 858a73e920b26f0f94d9ab8e574124bc 4516477 kernel optional linux-2.6_2.6.38-5.diff.gz
 a6e47563cf9abce4a6c96ad97f57a51d 510522 kernel optional linux-patch-debian-2.6.38_2.6.38-5_all.deb
 1ffa1463d8ca4bfd5a228af5794a1e17 170632 devel optional linux-support-2.6.38-2_2.6.38-5_all.deb
 a05d0697180432c04f034d4c24befd3e 73946898 kernel optional linux-source-2.6.38_2.6.38-5_all.deb
 38ad46b61cb56765a4df866ade1bfee7 6732968 doc optional linux-doc-2.6.38_2.6.38-5_all.deb
 198df660b5235e8975d60445e5aabcee 3078384 doc optional linux-manual-2.6.38_2.6.38-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTcYXOee/yOyVhhEJAQohPg/9FzJH6j0rGzECHv0rqc1Lv32yng0er08q
oPtury0lP4c+qUVw+yZNUMMKL0nIgc0RHzzvgecaxOcuxJxN6mjg+Hwz2ra/qGgw
Ur6g529nZtjQ1O0ZDv2a/KEGVLvWXo5ABGHjG++fpcqc1+ZffXgRUKuWKH4SerG1
3Pn/oVtq1cUoksN0CexPrFIbcop5FFora1+xNkCVEhihsqZnOR2Vl6UwGgzhz9i7
YIYffajln/lky5iASmxbkiUBT30v1sdripdTfJz4s0QXYOrftJ2rdAwk+jDqQs6G
PEc6O85DlaTW9RMoDFyrIn9DLbyyY7YZTa7mA4iemSR3kVYGTlsky2ClmdQyn/wb
Yic+vnTvMnCOP8Sgd8RwoyPohEjvfIl9FNCFIqqsbk8oRwiI9H78QPuk+skHlfCP
X8vjGza3vxWMm05Lq5C0ceak7fa0YuyLZ2sRERdibwVUXIrzhHGmlqNjjjcMVfNB
wJ29sY3oHavnQ/Wpy4pynmkRw3A+sEaUtrVOTenDQuw77bEO2cJi1/Z6sE9MzJg/
ymZqe/Ti4hkaliTXunmqOMYXmwTcVXoOgJAz/aa/g6nC7NpZ2q/aEFOxyh3TmpuL
5sms/7kQmiBA1hOUAldg57gpNmSZ4GLq3CYglhIbxk5FOphPr4yA8czqzri3dZEh
qWgd+HjVzUk=
=Wb3c
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 15:45:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:59:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.